# Learning Resources

This repository is primarily a collection of resources and learning aides for Steve's classroom work. This can include coding examples in various languages, project examples, documentation, instructional guides, and just about anything else.

## Prerequesits

* The requests module provides web/REST API access
* The colorama module provides access to color and cursor positioning in a terminal
* The termcolor module provides access to console text colors as well in a different way (include for compatibility)

Inside a terminal:
```bash
pip install requests colorama termcolor
```

In order to get ANSI colors in windows CMD or Powershell the virtual terminal level must be set to 1.
This is only needed **IF** :

* You have administrator access on your PC
* And you can't use colorama for some reason

Inside an **Administrator** terminal in the `PreReq/` folder:
```bash
reg import VirtualTerminalLevel.reg
```

## [Python Basics](Python/)

This is the home of many examples of basic Python syntax and logic. An attempt has been made to name them in such a way that they increase in complexity and build on each other as you go down the list of files.

## [PyGame](PyGame/)

This is the home of Python PyGame examples. Many of these are examples demonstrating "final project" level work for both simple and advanced levels.